package pl.bristleback.server.bristle.exceptions.handlers;

/**
 * Enumeration of exception types thrown while processing request from user.
 * <p/>
 * Created on: 2010-10-23 23:56:43 <br/>
 *
 * @author Wojciech Niemiec
 */
public enum ActionExceptionType {

  /**
   * This exception occurs when token sent by user doesn't contain action type element.
   * Action type element name is specified by {@link pl.bristleback.server.bristle.config.BristleConstants} class.
   */
  ACTION_NAME_NOT_SPECIFIED,

  /**
   * Occurs when action with name given by user in token variable is not found.
   */
  ACTION_NOT_FOUND,

  /**
   * Occurs when connector, which invokes given action, doesn't have one or more rights required by this action.
   */
  RIGHTS_NOT_SUFFICIENT
}
